Set or update custom domain
PUT
/organization/{orgId}/projects/{projectId}/custom-domainSet or update a custom domain for a specific project
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
projectId*string
Project ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.CustomDomainRequest",
"$ref-value": {
"properties": {
"custom_domain": {
"type": "string",
"examples": [
"docs.example.com"
]
}
},
"required": [
"custom_domain"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/organization/string/projects/string/custom-domain" \
-H "Content-Type: application/json" \
-d '{
"custom_domain": "docs.example.com"
}'OK
application/json
{
"$ref": "#/components/schemas/projectsv1.Project",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"custom_domain": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"regions": {
"items": {
"type": "string"
},
"type": "array"
},
"updated_at": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"type": "object"
}
}